Skip to main content
GET
/
v2
/
submission
/
{submission_id}
/
classification
Fetch document classification
curl --request GET \
  --url https://api.documents.resistant.ai/v2/submission/{submission_id}/classification \
  --header 'Authorization: Bearer <token>'
{
  "status": "SUCCESS",
  "analysis_time": "<string>",
  "deployment_version": "<string>",
  "query_id": "<string>",
  "sha256": "<string>",
  "mime_type": "<string>",
  "document_classification": {
    "score": "CLASSIFIED",
    "document_type": "id_document",
    "detailed_type": "birth_certificate",
    "issuer_parent": {
      "name": "<string>",
      "country": "<string>",
      "issuer_id": "07825439",
      "legal_address": {
        "street_address": "16192 COASTAL HWY, LEWES, DE 19958"
      }
    },
    "issuer": {
      "name": "<string>",
      "country": "<string>",
      "issuer_id": "07825439",
      "legal_address": {
        "street_address": "16192 COASTAL HWY, LEWES, DE 19958"
      }
    },
    "variant": "<string>"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

submission_id
string
required

Response

Results of document type classification if classification analysis was enabled for the submission.

status
enum<string>
required
Available options:
SUCCESS
analysis_time
string
required

Timestamp of analysis

deployment_version
string
required

Version of quality engine used for analysis

Maximum string length: 256
query_id
string | null
required

Customer's own submission ID. This field may contain customer's own internal ID of analyzed file (e.g. ID in database).

Maximum string length: 2048
sha256
string
required

Sha256 of the input file

Required string length: 64
mime_type
string
required

Mime type of the input file, e.g. application/pdf, image/jpeg, etc.

Maximum string length: 256
document_classification
Classification of document type · object

Information about the type and issuer of the submitted document, or null if classification is not available